### Function

# WPEPlatform Event touch_new

#### Declaration [src]

    WPEEvent*
    wpe_event_touch_new (
      WPEEventType type,
      WPEView* view,
      WPEInputSource source,
      guint32 time,
      WPEModifiers modifiers,
      guint32 sequence_id,
      double x,
      double y
    )

#### Description [src]

Create a `WPEEvent` for a touch.

#### Parameters

`type`

  Type: `WPEEventType`

  A `WPEEventType` (`WPE_EVENT_TOUCH_DOWN`, `WPE_EVENT_TOUCH_UP`, `WPE_EVENT_TOUCH_MOVER` or `WPE_EVENT_TOUCH_CANCEL`).

`view`

  Type: `WPEView`

  A `WPEView`.

  The data is owned by the caller of the function.

`source`

  Type: `WPEInputSource`

  A `WPEInputSource`.

`time`

  Type: `guint32`

  The event timestamp.

`modifiers`

  Type: `WPEModifiers`

  A `WPEModifiers`.

`sequence_id`

  Type: `guint32`

  The sequence event identifier.

`x`

  Type: `double`

  The x coordinate of the touch.

`y`

  Type: `double`

  The y coordinate of the touch.

#### Return value

Type: `WPEEvent`

A new allocated `WPEEvent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.